package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZlyqXx;

/**
 * 设计信息-井身质量要求详细Service接口
 * 
 * @author
 * @date 2025-07-17
 */
public interface ISjZlyqXxService 
{
    /**
     * 查询设计信息-井身质量要求详细
     * 
     * @param id 设计信息-井身质量要求详细主键
     * @return 设计信息-井身质量要求详细
     */
    public SjZlyqXx selectSjZlyqXxById(Long id);

    /**
     * 查询设计信息-井身质量要求详细列表
     * 
     * @param sjZlyqXx 设计信息-井身质量要求详细
     * @return 设计信息-井身质量要求详细集合
     */
    public List<SjZlyqXx> selectSjZlyqXxList(SjZlyqXx sjZlyqXx);

    /**
     * 新增设计信息-井身质量要求详细
     * 
     * @param sjZlyqXx 设计信息-井身质量要求详细
     * @return 结果
     */
    public int insertSjZlyqXx(SjZlyqXx sjZlyqXx);

    /**
     * 修改设计信息-井身质量要求详细
     * 
     * @param sjZlyqXx 设计信息-井身质量要求详细
     * @return 结果
     */
    public int updateSjZlyqXx(SjZlyqXx sjZlyqXx);

    /**
     * 批量删除设计信息-井身质量要求详细
     * 
     * @param ids 需要删除的设计信息-井身质量要求详细主键集合
     * @return 结果
     */
    public int deleteSjZlyqXxByIds(Long[] ids);

    /**
     * 删除设计信息-井身质量要求详细信息
     * 
     * @param id 设计信息-井身质量要求详细主键
     * @return 结果
     */
    public int deleteSjZlyqXxById(Long id);
}
